<!doctype html>
<html>
<head>
    <title>Tor Project infrastructure updates | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Project infrastructure updates | Tor Project">
    <meta property="og:description" content="You should upgrade to Tor 0.2.1.22 or 0.2.2.7-alpha:...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-project-infrastructure-updates/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Project infrastructure updates
      </h1>
    <p class="meta">by phobos | January 22, 2010</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>You should upgrade to Tor 0.2.1.22 or 0.2.2.7-alpha:<br />
<a href="https://www.torproject.org/easy-download.html.en" rel="nofollow">https://www.torproject.org/easy-download.html.en</a></p>

<p>In early January we discovered that two of the seven servers that run directory<br />
authorities were compromised (moria1 and gabelmoo), along with<br />
metrics.torproject.org, a new server we'd recently set up to serve<br />
metrics data and graphs. The three servers have since been reinstalled<br />
with service migrated to other servers.</p>

<p>We made fresh identity keys for the two directory authorities, which is<br />
why you need to upgrade.</p>

<p>Moria also hosted our git repository and svn repository. We took the<br />
services offline as soon as we learned of the breach. It appears the<br />
attackers didn't realize what they broke into -- just that they had<br />
found some servers with lots of bandwidth. The attackers set up some ssh<br />
keys and proceeded to use the three servers for launching other attacks.<br />
We've done some preliminary comparisons, and it looks like git and svn<br />
were not touched in any way.</p>

<p>We've been very lucky the past few years regarding security. It still<br />
seems this breach is unrelated to Tor itself. To be clear, it doesn't<br />
seem that anyone specifically attacked our servers to get at Tor. It<br />
seems we were attacked for the cpu capacity and bandwidth of the servers,<br />
and the servers just happened to also carry out functions for Tor.</p>

<p>We've tried to address the most common questions below.</p>

<p><strong>I read that Tor's encryption keys were compromised, is this true?</strong></p>

<p>No.  The operating systems were compromised, not tor.  The tor source, and running Tor Directory Authorities were left untouched.  It appears the<br />
attackers didn't realize what they broke into -- just that they had<br />
found some servers with lots of bandwidth.   We've generated new Directory Authority keys out of an abundance of caution.</p>

<p><strong>Does this mean someone could have matched users up to their<br />
destinations?</strong></p>

<p>No. By design, Tor requires a majority of directory authorities (four<br />
in this case) to generate a consensus; and like other relays in the<br />
Tor network, directory authorities don't know enough to match a user<br />
and traffic or destination.</p>

<p><strong> Does this mean somebody could have changed the Tor source?</strong></p>

<p>No, we've checked the source. It does mean you should upgrade so your<br />
client knows about all the currently valid directory authorities.</p>

<p><strong> Does this mean someone could have learned more about Tor than an<br />
ordinary user?</strong></p>

<p>Since our software and specifications are open, everyone already has<br />
access to almost everything on these machines... except some old bridge<br />
descriptors, which we give out only in small batches as entry points for<br />
blocked clients.</p>

<p><strong>Can I trust Tor's security?</strong></p>

<p>We've taken steps to fix the weaknesses identified and to harden our<br />
systems further. Tor has a track record of openness and transparency,<br />
with its source code and specifications and also with its operations.<br />
Moreover, we're disclosing breaches such as this so you can monitor our<br />
status. You shouldn't assume those who don't disclose security breaches<br />
never have any!</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/network">
          network
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-4054"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4054" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 22, 2010</p>
    </div>
    <a href="#comment-4054">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4054" class="permalink" rel="bookmark">As of this posting, the link</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As of this posting, the link at the top has the 1.3.0 version of the Browser Bundle (which still has the 0.2.1.21 release of Tor)</p>
<p>What can TBB users do?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4056"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4056" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 22, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4054" class="permalink" rel="bookmark">As of this posting, the link</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4056">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4056" class="permalink" rel="bookmark">You can wait, new tbb is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You can wait, new tbb is coming today.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-4055"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4055" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 22, 2010</p>
    </div>
    <a href="#comment-4055">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4055" class="permalink" rel="bookmark">Hmmm i noticed that torchat</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hmmm i noticed that torchat isn't connecting anymore for more than 24 hours now...</p>
<p>Maybe this could be in relationship with your messsage?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4057"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4057" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 22, 2010</p>
    </div>
    <a href="#comment-4057">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4057" class="permalink" rel="bookmark">re torchat still not</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>re torchat still not connecting. It is true here too,</p>
<p>Note this line from torchat's torcc file:</p>
<p>## the following is a dirty workaround for the 15 minutes problem:</p>
<p>## hidden service descriptors are cached 15 minutes, so after</p>
<p>## a restart of tor we are not reachable for 15 minutes.</p>
<p>## Using always the same introduction points makes even old </p>
<p>## and stale descriptors still work. I am still searching</p>
<p>## for a better solution.</p>
<p>HiddenServiceNodes moria1,moria2,tor26</p>
<p>At least 2 of the 3 hidden service node above were compromised.<br />
Are there new names for these servers and do they need to replace the 3 shown above?   If so, where are these server names to be found?</p>
<p>PS The captchas required to post here are VERY difficult for a human to read.  Please use something that is more legible and human friendly</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4066"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4066" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2010</p>
    </div>
    <a href="#comment-4066">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4066" class="permalink" rel="bookmark">Hi guys!
This error appears</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi guys!<br />
This error appears every time since update. What's wrong? Does someone have the same problem?</p>
<p>Jan 23 13:01:33.166 [Notice] Tor v0.2.2.7-alpha (git-.......). This is experimental software. Do not rely on it for strong anonymity. (Running on Darwin i386)<br />
Jan 23 13:01:33.167 [Notice] Initialized libevent version 1.4.13-stable using method kqueue. Good.<br />
Jan 23 13:01:33.168 [Notice] Opening Socks listener on 127.0.0.1:9050<br />
Jan 23 13:01:33.168 [Notice] Opening Control listener on 127.0.0.1:9051<br />
Jan 23 13:01:35.206 [Notice] Bootstrapped 10%: Finishing handshake with directory server.<br />
Jan 23 13:01:35.328 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)<br />
Jan 23 13:01:35.340 [Notice] No current certificate known for authority moria1; launching request.<br />
Jan 23 13:01:35.340 [Notice] No current certificate known for authority tor26; launching request.<br />
Jan 23 13:01:35.341 [Notice] No current certificate known for authority dizum; launching request.<br />
Jan 23 13:01:35.341 [Notice] No current certificate known for authority ides; launching request.<br />
Jan 23 13:01:35.341 [Notice] No current certificate known for authority gabelmoo; launching request.<br />
Jan 23 13:01:35.342 [Notice] No current certificate known for authority dannenberg; launching request.<br />
Jan 23 13:01:35.342 [Notice] No current certificate known for authority urras; launching request.<br />
Jan 23 13:01:35.487 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)<br />
Jan 23 13:01:36.042 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)<br />
Jan 23 13:01:36.184 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)<br />
Jan 23 13:02:36.193 [Notice] No current certificate known for authority moria1; launching request.<br />
Jan 23 13:02:36.226 [Notice] No current certificate known for authority tor26; launching request.<br />
Jan 23 13:02:36.227 [Notice] No current certificate known for authority dizum; launching request.<br />
Jan 23 13:02:36.227 [Notice] No current certificate known for authority ides; launching request.<br />
Jan 23 13:02:36.228 [Notice] No current certificate known for authority gabelmoo; launching request.<br />
Jan 23 13:02:36.228 [Notice] No current certificate known for authority dannenberg; launching request.<br />
Jan 23 13:02:36.229 [Notice] No current certificate known for authority urras; launching request.<br />
Jan 23 13:02:36.331 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)<br />
Jan 23 13:02:36.384 [Warning] TLS error: unexpected close while renegotiating (SSL_ST_OK)</p>
<p>If you could help me, that would be great. :-) Thanks guys!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4067"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4067" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 23, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4066" class="permalink" rel="bookmark">Hi guys!
This error appears</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4067">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4067" class="permalink" rel="bookmark">Yes, we know,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, we know, <a href="https://bugs.torproject.org/flyspray/index.php?do=details&amp;id=1225" rel="nofollow">https://bugs.torproject.org/flyspray/index.php?do=details&amp;id=1225</a></p>
<p>and <a href="http://archives.seul.org/or/talk/Jan-2010/msg00157.html" rel="nofollow">http://archives.seul.org/or/talk/Jan-2010/msg00157.html</a></p>
<p>Apple updated OS X and broke ssl.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4072"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4072" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-4072">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4072" class="permalink" rel="bookmark">well, I wouldn&#039;t say exactly</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>well, I wouldn't say exactly that they 'broke' it...the fact is rather that the ssl protocol is broken.</p>
<p>Btw that captcha is f*ing unreadable</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-8294"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8294" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 05, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4072" class="permalink" rel="bookmark">well, I wouldn&#039;t say exactly</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-8294">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8294" class="permalink" rel="bookmark">thank you for posting .</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thank you for posting . please do more good article.i like it so much .I will always follow it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-4070"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4070" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2010</p>
    </div>
    <a href="#comment-4070">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4070" class="permalink" rel="bookmark">After reading the bug</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>After reading the bug reports I just wanted to add that this issue is not restricted to Snow Leopard (10.6). I experience it on Leopard 10.5.8 as well after application of Apple's latest security Update 2010-001.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4082"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4082" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 24, 2010</p>
    </div>
    <a href="#comment-4082">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4082" class="permalink" rel="bookmark">I also use OS X Snow Leopard</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I also use OS X Snow Leopard 10.6.2 and I must say, I have the same problem.</p>
<p>I get these error message everytime, weather I start Vidalia (TOR)</p>
<p>TLS error: unexpected close while renegotiating</p>
<p>Hope it comes a solution quickly. I don't know what I could do</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4098"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4098" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 24, 2010</p>
    </div>
    <a href="#comment-4098">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4098" class="permalink" rel="bookmark">It seems to come and go for</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It seems to come and go for me. Traffic-based?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4109"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4109" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 25, 2010</p>
    </div>
    <a href="#comment-4109">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4109" class="permalink" rel="bookmark">My Torchat is essentially</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>My Torchat is essentially now broken by the recent changes to Tor. Upgrading to 19 Jan 2010 ver of Tor allows user to connect to himself but rarely with any others users even if they have upgraded to new Tor too.</p>
<p>Torchat uses Tor hidden services to communicate with others; something must still be broken in that respect.</p>
<p>PS  Tor for surfing in FireFox works fine.</p>
<p>Any other clients that use Tor hidden services affected by these changes to Tor?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4203"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4203" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 31, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4109" class="permalink" rel="bookmark">My Torchat is essentially</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4203">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4203" class="permalink" rel="bookmark">Tor/Firefox is fine. </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor/Firefox is fine.  Torchat remains broken despite attempts to insert updated tor.exe and/or tor.resolve.  Quite unfortunate.  Torchat was an excellent resource.  I suspect commie hackers are to blame, but that's just me.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-4136"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4136" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 26, 2010</p>
    </div>
    <a href="#comment-4136">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4136" class="permalink" rel="bookmark">I am using MacOSX Snow</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am using MacOSX Snow Leopard 10.6. I updated to intelMac Tor Bundle 0.2.1.22 as advised. I now find I cannot access the Tor Network. The following messages (repeating) appear in the log:</p>
<p>Warning: TLS error: unexpected close while negotiating<br />
Notice: No current certificate known for authority moria1</p>
<p>Same notice for authorities: moria1, tor26, ides, gabelmoo, dannenberg, urras.</p>
<p>I wish to use the previous  bundle (0.2.1.19 for intelMac and PPC)<br />
of Tor. I would be be grateful if someone could give me the address where previous versions of Tor bundles can be downloaded.</p>
<p>Thank you in advance.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4137"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4137" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 26, 2010</p>
    </div>
    <a href="#comment-4137">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4137" class="permalink" rel="bookmark">Still broken :(</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Still broken :(</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4169"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4169" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 28, 2010</p>
    </div>
    <a href="#comment-4169">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4169" class="permalink" rel="bookmark">I&#039;m getting the same &quot;TLS&quot;</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm getting the same "TLS" errors. I was also using an older version of Vidalia and just updated to the latest version to see if it would fix it, but no.<br />
So is it just Intel-Mac users with Snow Leopard having problems? I have ver. 10.6.2<br />
This sucks, Tor was working great a few days ago : (<br />
Fucking hackers - find them and cut off their balls!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4170"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4170" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 28, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4169" class="permalink" rel="bookmark">I&#039;m getting the same &quot;TLS&quot;</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4170">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4170" class="permalink" rel="bookmark">BTW, I realize the hackers</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>BTW, I realize the hackers had nothing to do with why Tor isn't working on Macs at the moment; I was just saying they were assholes. I realize Apple's latest security update screwed it up. Didn't want to be misread..</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-4173"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4173" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 29, 2010</p>
    </div>
    <a href="#comment-4173">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4173" class="permalink" rel="bookmark">To fix you need to replace</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>To fix you need to replace the tor.exe and tor-resolve.exe in your TORchat folder.</p>
<p>DL the lastest TOR package and install what you need (min is TOR), then copy the new tor.exe (2110kb) and tor-resolve exe (118kb) into your TORchat bin/tor folder. </p>
<p>Start torchat and off you go.</p>
<p>or it did for me</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4200"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4200" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 31, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4173" class="permalink" rel="bookmark">To fix you need to replace</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4200">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4200" class="permalink" rel="bookmark">As noted in previous</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As noted in previous posting, I did exactly this with no improvement in Torchat performance.  Torchat is running as I write this.  The system has resolved only myself and one other user.  It is as though at least half of the previous relays have been taken off-line.  Perhaps someone can send an email to the Torchat developer and request a Torchat update to fix all issues.  Would be much appreciated.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4212"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4212" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 01, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4200" class="permalink" rel="bookmark">As noted in previous</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4212">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4212" class="permalink" rel="bookmark">See fault report filed at</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>See fault report filed at torchat homepage: <a href="http://code.google.com/p/torchat/issues/detail?id=54" rel="nofollow">http://code.google.com/p/torchat/issues/detail?id=54</a>   -----   And also see issue 53 there too,   ----  Unfortunately, the developer of torchat has not released any fixes or improvements in a very long time.  Too bad as it conceptually is an excellent software.  ----  I suspect that if there are any other clients which use tor Hidden Services that they are affected too,  Maybe somebody could report such clients here? ----Maybe this is not a torchat problem but a tor problem?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-4179"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4179" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 29, 2010</p>
    </div>
    <a href="#comment-4179">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4179" class="permalink" rel="bookmark">Previous torchat folder did</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Previous torchat folder did not contain a tor-resolve.exe.  It contained only the tor.exe.  On first attempt to fix, I did inport the new tor-resolve.exe into torchat and it had no effect over two days of testing.  So I removed it, leaving just the updated tor.exe.  I am able to see myself and (rarely) two other users of torchat only.  The system is still crippled.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4182"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4182" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 29, 2010</p>
    </div>
    <a href="#comment-4182">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4182" class="permalink" rel="bookmark">Yes, torchat is still</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, torchat is still crippled as described above.  ---  </p>
<p>And this is true whether you are using the win or linux version. Replacing a previous tor version (and tor resolve if it is present, ie, win torchat portable) does NOT solve the problem. Clients who replace the relevant file(s) might be able to connect to each other for a short while but this restored facility quickly  disappears and they are unable to connect to each other again.   ---     <b>Tellingly, after  the tor file update, a user CAN reliably connect every time to herself, but NOT to any other torchat user </b>----</p>
<p>We surmise this is a Hidden Services fault in tor.  Why? Identifiers, keys or what ever else it might be is beyond our ken. <b> One thing is for sure: this problem did not exist in torchat before the hack attacks and subsequent modifications to tor of  Jan 2010.</b></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4205"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4205" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 31, 2010</p>
    </div>
    <a href="#comment-4205">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4205" class="permalink" rel="bookmark">Easily, the article is in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Easily, the article is in reality the sweetest on this valuable topic. I fit in with your conclusions and I think <a href="http://www.bestbootsale.com" rel="nofollow">www.bestbootsale.com</a>  is a good topic. will thirstily look forward to your approaching updates. A simple thanks will not just be complete for the exceptional lucidity in your writing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4227"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4227" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 01, 2010</p>
    </div>
    <a href="#comment-4227">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4227" class="permalink" rel="bookmark">hmmm it takes some time, but</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hmmm it takes some time, but i can connect to other TC users with updated tor.exe.. and chatting for many hours.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4232"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4232" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 01, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4227" class="permalink" rel="bookmark">hmmm it takes some time, but</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4232">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4232" class="permalink" rel="bookmark">running Linux or windows</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>running Linux or windows torchat?  Please give details. Have tried it with both to no benefit.  Of course it should not take hours to make connexion; it never did before Jan of 2010.  This suggests recent necessary security changes to tor itself have inadvertently created this torchat problem.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4309"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4309" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 10, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4232" class="permalink" rel="bookmark">running Linux or windows</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4309">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4309" class="permalink" rel="bookmark">I am running Windows XP.
One</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am running Windows XP.</p>
<p>One day it is working pretty good and i can chat for a long time, the other day tc needs almost an hour to connect to others.. The question is: what's the fuckin reason for that????</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-4347"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4347" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 14, 2010</p>
    </div>
    <a href="#comment-4347">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4347" class="permalink" rel="bookmark">torchat is fine but you have</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>torchat is fine but you have to get the new tor files. easiest: get the new tor<br />
browser bundle and install it (just overwrite is fine, but backup if you like). then<br />
get the /Tor Browser/App/tor.exe and tor-resolve.exe (new file with this release) and<br />
overwrite/add them to torchat /bin/Tor directory. as long as you come on line within<br />
a few minutes you're connected, though other people may be offline.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4423"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4423" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 26, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-4347" class="permalink" rel="bookmark">torchat is fine but you have</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4423">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4423" class="permalink" rel="bookmark">Torchat is still broken.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Torchat is still broken. even with the newest tor files.  It takes days to connect with other torchat users even though we are all online 24/7. I can reliably connect to 'myself' very quickly but that's all. </p>
<p>==&gt;Is this a problem with Rendezvous Server related code?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-4855"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4855" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 28, 2010</p>
    </div>
    <a href="#comment-4855">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4855" class="permalink" rel="bookmark">hey, i have tor, but i dont</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hey, i have tor, but i dont knoowhow to use the torchat, can anyone tell me how?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5456"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5456" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 22, 2010</p>
    </div>
    <a href="#comment-5456">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5456" class="permalink" rel="bookmark">TorChat is still broken.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>TorChat is still broken. When is there going to be an update?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-5462"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5462" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">April 22, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-5456" class="permalink" rel="bookmark">TorChat is still broken.</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-5462">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5462" class="permalink" rel="bookmark">We don&#039;t develop torchat. </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We don't develop torchat.  You should ask the torchat developers this question.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-5578"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5578" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2010</p>
    </div>
    <a href="#comment-5578">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5578" class="permalink" rel="bookmark">i have two copies of torchat</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i have two copies of torchat running on the same computer in client mode.  they both turn "green" and connect to the outside with tor 0.2.1.22</p>
<p>and the two accounts won't talk to one another.  both sees the other as offline.</p>
<p>i guess the torchat developers are MIA.</p>
<p>if someone could explain to me conceptually what is the problem then i would be happy to fix the torchat code.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-8416"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8416" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 18, 2010</p>
    </div>
    <a href="#comment-8416">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8416" class="permalink" rel="bookmark">and connect to the outside</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>and connect to the outside with tor 0.2.1.22</p>
<p>and the two accounts won't talk to one another</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-8500"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8500" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 01, 2010</p>
    </div>
    <a href="#comment-8500">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8500" class="permalink" rel="bookmark">if someone could explain to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>if someone could explain to me conceptually what is the problem then i would be happy to fix the torchat code.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-8542"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8542" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 02, 2010</p>
    </div>
    <a href="#comment-8542">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8542" class="permalink" rel="bookmark">Perhaps someone can send an</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Perhaps someone can send an email to the Torchat developer and request a Torchat update to fix all issues. Would be much appreciated</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11348"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11348" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 02, 2011</p>
    </div>
    <a href="#comment-11348">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11348" class="permalink" rel="bookmark">Just started as a relay. To</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Just started as a relay. To check if it is working, should I be able to see myself on Tor Network Map..ie on the relay list?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11914"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11914" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 27, 2011</p>
    </div>
    <a href="#comment-11914">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11914" class="permalink" rel="bookmark">Is it me, or is Torchat not</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is it me, or is Torchat not working with this update?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12816"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12816" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 22, 2011</p>
    </div>
    <a href="#comment-12816">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12816" class="permalink" rel="bookmark">broken for me too</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>broken for me too</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
